
      program mkinp
c
      dimension mtstart(3),mtend(3),mtout(3,6)
c     data mtstart/29,0,0/, mtend/30,0,0/
c     data delmin/15./ 
c     data mtstart/0,0,0/, mtend/1,0,0/
      data mtstart/150,0,0/, mtend/151,0,0/
      data delmin/60./ 
c
      open(unit=20,file='mkinp.dat')
      fmin0 = float(mtstart(1))*60.*24.+float(mtstart(2))*60.+
     +        float(mtstart(3))
      fmin1 = float(mtend(1))*60.*24.+float(mtend(2))*60.+
     +        float(mtend(3))
      fmin = fmin0 
      ii = 1
      do 100 i=1,10000
        call dmintomt(fmin,md,mh,mm)
        if (ii.le.6) then
          mtout(1,ii) = md
          mtout(2,ii) = mh
          mtout(3,ii) = mm
          if (ii.eq.6) then
            write(20,"(' ',6(3(i3,',')))") mtout
            ii = 0
          endif
        endif
        ii = ii+1
        fmin = fmin+delmin 
        if (fmin.gt.fmin1) then
          if (ii.gt.1) 
     +      write(20,"(' ',6(3(i3,',')))") 
     +        ((mtout(n,nn),n=1,3),nn=1,ii-1)
          goto 101
        endif
 100  continue     
 101  continue
      stop
      end
c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
      subroutine dmintomt(decmin,md,mh,mm)
c
c Return model time (md,mh,mm), given time in decimal minutes (decmin):
c
      rminday = 24.*60.
      md = decmin/rminday+1.e-10
      mh = (decmin-float(md)*rminday)/60.
      mm = decmin-float(md)*rminday-float(mh)*60.
      if (mm.eq.60) mm = 0
      if (mh.eq.24) mh = 0
      return
      end
